Draft: Quotatura

From FreeCAD Documentation
Revision as of 20:31, 24 April 2019 by Renatorivo (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Text.svg Testo
Pagina successiva: BSpline Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Quota

Posizione nel menu
Draft → Quota
Ambiente
Draft, Architettura
Avvio veloce
DI
Introdotto nella versione
0.8
Vedere anche
Inverti la direzione delle quote, TechDraw

Descrizione

Lo strumento quota crea un oggetto che misura e visualizza la distanza tra due punti; un terzo punto specifica la posizione della linea di quota.

Lo strumento può misurare bordi o linee direttamente collegate a corpi solidi; se il corpo cambia, la dimensione si aggiorna automaticamente. Lo strumento può anche misurare un diametro o raggio di curvatura come quelli prodotti da Arco, o dalle operazioni Raccordo di Part, Raccordo di Schizzo e Raccordo di PartDesign.

La dimensione risultante viene posizionata nella vista 3D ed è considerata un oggetto Draft. Questo oggetto può essere visualizzato in una pagina di TechDraw, utilizzando gli strumenti Vista Draft o Vista Arch. In alternativa, TechDraw ha i propri strumenti per visualizzare le dimensioni, ad esempio Lunghezza e Raggio; però, questi strumenti sono pensati per preparare disegni tecnici, quindi creano le quote solo nella pagina di disegno e non nella vista 3D.

Screenshot Draft Dimension.jpg

Dimensione definita da tre punti

Utilizzo

  1. Premere il pulsante Draft Dimension.png Quota, o premere i tasti D e poi I.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
  3. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto. I primi due punti definiscono la distanza misurata.
  4. Selezionare un terzo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto. Il punto finale definisce la posizione della linea di misura.

La Dimensione può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare i punti in una nuova posizione.

I punti di misurazione possono essere modificati dopo la creazione cambiando le proprietà di inizio e fine.

La posizione della linea di misura può anche essere cambiata dopo la creazione cambiando la sua proprietà direzione.

Tipi di quotature disponibili

Rilasciare il modificatore (Alt o Maiusc) dopo aver scelto un punto o un bordo.

  • Linear dimensions: hold the Alt key, or click on the View-select.svg select edge button, and pick a straight edge, then pick a second point to draw the dimension line parallel to that edge.
Note: you can also pre-select the edge before calling the tool.
  • Horizontal and vertical dimensions: pick one point, then pick a second point, then hold the Shift key and move the pointer horizontally or vertically, then pick a third point to draw the dimension line parallel to either the X axis or the Y axis.
Note 1: click and hold Shift and move the pointer in different directions many times until the dimension line aligns to the desired axis. Clicking Shift while the pointer is far from the first point will usually align the dimension to the X axis; if the pointer is close to the first point it will usually align the dimension to the Y axis.
Note 2: instead of picking two points, pick an edge while holding Alt.
  • Diameter dimensions: hold the Alt key and pick a curved edge, then pick a second point to draw the dimension line.
    • Radius dimensions: hold the Alt key and pick a curved edge, then hold the Shift key and pick a second point to draw the dimension line.
  • Angular dimensions: hold the Alt key and then pick two straight edges, then pick a point between the two edges to show the acute or obtuse angle, or elsewhere to show a supplementary or explementary angle.
Note: the displayed angle largely depends on the original position of the selected edges. If you would like to display a particular angle, you may have to add auxiliary Draft Lines that extend from the original edges, and measure these extensions.

Nota: preselezionando un bordo o selezionandolo con Alt o con View-select.svg seleziona bordo, la dimensione diventa parametrica, cioè, ricorda a quale bordo è vincolata. Se in seguito i punti finali di quel bordo si spostano, la dimensione li segue e aggiorna la misura visualizzata.

Opzioni

  • Premere X, Y o Z dopo un punto per vincolare il punto successivo al dato asse.
  • Per inserire manualmente le coordinate, è sufficiente inserire il numero, quindi premere INVIO per ogni componente X, Y e Z.
  • Premere CTRL mentre si disegna per agganciare forzatamente il proprio punto al punto di ancoraggio più vicino, indipendentemente dalla distanza.
  • Premere SHIFT per vincolare la dimensione orizzontalmente o verticalmente, o, quando si lavora su un bordo circolare, per passare dal diametro al raggio.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. Se la modalità Relativo è attiva, le coordinate del punto successivo sono relative al precedente. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. Se la modalità Continua è attiva, è possibile disegnare quote continue, una dopo l'altra, che condividono la stessa linea base.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando attivo.
  • Selezionando un bordo esistente con ALT, invece di inserire punti di misura, la dimensione diventa parametrica e si ricorda a quale lato è vincolata. Se successivamente i punti finali del bordo vengono spostati, la quota li segue.
  • Se si seleziona un bordo prima di avviare il comando Dimensione, anche la dimensione creata sarà parametrica.
  • La direzione della dimensione può essere modificata, modificando la proprietà "Direction"

Proprietà

Dati

  • DatiStart: specifica il punto iniziale della distanza da misurare.
  • DatiEnd: specifica il punto finale della distanza da misurare.
  • DatiDimline: specifica un punto attraverso il quale la linea di quota deve passare.
  • DatiDistance: (sola lettura) indica la lunghezza misurata.
  • DatiDiameter: se è true visualizza una dimensione diametro; altrimenti visualizza una dimensione raggio; questa proprietà funziona solo se la quota è collegata ad un arco circolare.

View

  • VistaExt Lines: specifies the maximum length of the extension lines that go from the measurement points to the dimension line.
  • VistaExt Overshoot: specifies the additional length of the extension lines beyond the dimension line.
  • VistaDim Overshoot: specifies the additional length added to the dimension line.
  • VistaArrow Size: specifies the size of the symbol displayed at the ends of the dimension line.
  • VistaArrow Type: specifies the type of symbol displayed at the ends of the dimension line, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VistaFlip Arrows: specifies whether to flip the orientation of the symbols at the ends of the dimension line; it only works if these symbols are arrows.
  • VistaFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VistaFont Size: specifies the size of the letters. If the dimension object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VistaFlip Text: specifies whether to flip the orientation of the text indicating the measurement.
  • VistaText Position: specifies the position of the text in absolute coordinates, referred to the origin (0,0,0); leave this property at its default value (0,0,0) to display the text next to the dimension line.
  • VistaText Spacing: specifies the space between the text and the dimension line.
  • VistaOverride: specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to display the measurement value.
  • VistaDecimals: specifies the number of decimal places to display on the measurement.
  • VistaShow Unit: if it is true the unit is displayed next to numerical value of the measurement.
  • VistaUnit Override: specifies a unit in which to express the measurement, for example, "km", "m", "cm", "mm", "mi", "ft", "in"; leave this property blank to use the default units. introduced in version 0.17

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento Dimension alla dimensione può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

Esistono vari modi per richiamare questa funzione, a seconda degli argomenti passati:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crea una Dimension lineare misurando la distanza tra i punti p1 e p2.
  • Crea una Dimension lineare collegata a un object, misurando la distanza tra i suoi vertici indicizzati i1 e i2.
  • Crea una Dimension circolare collegata a un object, con l'indice i1 del bordo curvo da misurare, e mode che può essere un "radius" o un "diameter" per specificare il tipo di dimensione.
    • p3 nel primo caso, e p4 negli altri due, specifica un punto facoltativo attraverso il quale deve passare la linea di quota.
    • Tutti i punti sono definiti dai loro FreeCAD.Vector.

To create an angular dimension use the following function:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • Crea una quota angolare dal centro dato, con la lista di angoli che viene fornita, passando per p3.
  • Restituisce l'oggetto appena creato.

The view properties of Dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Esempio:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg